Subject: Re: bug#43943: >=27.1; segfault with package-list-packages and others

From: Stefan Kangas <[email-masked]>
Date: Sun, 15 Nov 2020 19:19:32 -0800

"Dr. Arne Babenhauserheide" <[email-masked]> writes:

> Eli Zaretskii <[email-masked]> writes:
>
>>> From: "Dr. Arne Babenhauserheide" <[email-masked]>
>>> Cc: [email-masked]
>>> Date: Mon, 12 Oct 2020 20:48:16 +0200
>>>
>>> >> unicode symbols in my agenda, and two of the sybols are not actually
>>> >> supported in the font I currently use:
>>> >> #+SEQ_TODO: b / .?. X | : . . .
>>> >> #+SEQ_TODO: m | . L
>>> >
>>> > This failed in sending &
>>>
>>> This failed again, since it did not preserve the encoding.
>>>
>>> #+SEQ_TODO: ❢ ☯ ʘ‿ʘ X | ☺ ✔ ⌚ ✘
>>> #+SEQ_TODO: 🕭 | 𝄇 👌
>>
>> I think Robert may be right, and this is bug#41627.  If you can
>> rebuild Emacs, then perhaps try the patch attached to this post:
>>
>>   https://debbugs.gnu.org/cgi/bugreport.cgi?bug=41627#29
>>
>> and see if the problem goes away.
>
> I’d like to try, but since I deleted .cache, I cannot reproduce it
> anymore :-(
> That’s why I’m trying to give all other information I can give.

Without a way to reproduce it, it will be hard to make much progress
here.  The assumption is that this is related to a bug that has already
been fixed.

I'm therefore closing this bug report.  If you are seeing this again
using the current master branch or the forthcoming Emacs 27.2, please
reopen this bug or file a new one.